Creates a new user account.
POST users
Authentication
This request requires basic authentication.
Request Parameters
Body params
| userName |
string
|
The login of the user.
|
|---|---|---|
| userInfo |
object
|
An object containing basic profile information. |
|
email
|
string
|
Email of the user.
|
|
firstName
|
string
|
[optional] First name of the user.
|
|
middleName
|
string
|
[optional] Middle name of the user.
|
|
lastName
|
string
|
[optional] Last name of the user.
|
|
userRole
|
string
|
[optional] If the userType is Contributor, the role of the user: Reviewer, Translator, Administrator, etc.
|
|
userType
|
string
|
[optional] Type of the user – Contributor or PowerReader (default).
|
|
isDontSendEmail
|
bool
|
[optional] Whether to send an email to the user about the account creation. |
Samples
Request sample
Bash (Unix Shell) |
[Bash (Unix Shell)] curl --location -g --request POST 'https://{portal-url}/api/v1/users' ^ --data-raw '{ "userName": "reviewer", "userInfo": { "email": "reviewer@company.co", "firstName": "John", "middleName": "M", "lastName": "Doe" }, "userRole": "Group A,Group B,Reviewer", "userType": "Contributor", "isDontSendEmail": true }' |
Response sample
JSON |
[JSON] { "userInfo": { "about": null, "authorUiFourLetterCode": "en-US", "avatarImageUrl": null, "cultureInfoId": "en-US", "email": "reviewer@company.co", "firstName": "John", "isAutoDetectCultureInfo": true, "isAutoDetectTimeZone": true, "isEnableHomeEditorAdvancedCss": false, "isFirstTrialUser": false, "lastActivityDate": null, "lastName": "Doe", "middleName": "M", "timeZoneId": "UTC" }, "userName": "reviewer2", "userRole": "Group 1,Group 2,Reviewer", "userType": "Contributor", "isEnabled": true } |